<div class="file-expander">

    <div class="info">
        <div>
            <mr-image [path]="file.picture"></mr-image>
            <div class="title">
                <h5>
                    {{ file.title }}
                    <button (click)="unlinkFile(file.id)"
                    *ngIf="isAuthor || currentUser === file.author"
                    title="Remover ficha"><i class="las la-minus-circle"></i></button>
                </h5>

                <p>Por <a [routerLink]="file.author | profileUrl">{{ file.author }}</a></p>
            </div>
        </div>
        <ng-container *ngIf="sidebar">
            <button mr-button class="primary hover small"
            (click)="expand.emit(file)">Expandir</button>
        </ng-container>
        <ng-container *ngIf="!sidebar">
            <a mr-button [routerLink]="'/files/'+file.id" class="primary hover small">Expandir</a>
        </ng-container>
    </div>

    <ng-container *ngIf="(fullText$ | async) else short">
        <mr-editor-readonly [html]="file.body"></mr-editor-readonly> <a (click)="fullText$.next(false)">Leer menos</a>
        <!-- <mr-timestamp [createdAt]="file.createdAt" [lastEdit]="file.lastEdit"></mr-timestamp> -->
    </ng-container>

    <ng-template #short>
        <p *ngIf="file.body | htmlSlice:(sidebar ? 100 : 300) as text">
            {{ text }} <a *ngIf="text.length > (sidebar ? 100 : 300)" (click)="fullText$.next(true)">Leer mas</a></p>
    </ng-template>

</div>
